// Code generated by mockery v2.10.2. DO NOT EDIT.

package mocks

import (
	mock "github.com/stretchr/testify/mock"
	models "gitlab.com/nikita.morozov/bot-ms-core/models"
)

// ScenarioEngine is an autogenerated mock type for the ScenarioEngine type
type ScenarioEngine struct {
	mock.Mock
}

// Execute provides a mock function with given fields: scenarioId, data
func (_m *ScenarioEngine) Execute(scenarioId uint, data *models.NodeParams) error {
	ret := _m.Called(scenarioId, data)

	var r0 error
	if rf, ok := ret.Get(0).(func(uint, *models.NodeParams) error); ok {
		r0 = rf(scenarioId, data)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// ExecuteTrigger provides a mock function with given fields: params
func (_m *ScenarioEngine) ExecuteTrigger(params *models.NodeParams) error {
	ret := _m.Called(params)

	var r0 error
	if rf, ok := ret.Get(0).(func(*models.NodeParams) error); ok {
		r0 = rf(params)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// FinishExecutionWithParams provides a mock function with given fields: context, scenarioActionId, data
func (_m *ScenarioEngine) FinishExecutionWithParams(context string, scenarioActionId uint, data models.NodeData) error {
	ret := _m.Called(context, scenarioActionId, data)

	var r0 error
	if rf, ok := ret.Get(0).(func(string, uint, models.NodeData) error); ok {
		r0 = rf(context, scenarioActionId, data)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}
